package com.patzn.lims.frame.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.frame.entity.LmsFrameProblemImproveAttachment;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 改进/纠正/预防措施管理附件表 服务类
 * </p>
 *
 * @author patzn
 * @since 2018-07-18
 */
public interface ILmsFrameProblemImproveAttachmentService extends IBaseService<LmsFrameProblemImproveAttachment> {


    Page<LmsFrameProblemImproveAttachment> page(Page<LmsFrameProblemImproveAttachment> page, LmsFrameProblemImproveAttachment lmsFrameProblemImproveAttachment);


    List<LmsFrameProblemImproveAttachment> list(LmsFrameProblemImproveAttachment lmsFrameProblemImproveAttachment);


    boolean save(Long problemImproveId, MultipartFile file);


    void download(Long id, HttpServletResponse response);

    LmsFrameProblemImproveAttachment saveAndUpload(MultipartFile file, String bucketName, String foldPath, Long relId, String type);

    void downloadFile(HttpServletResponse response, String bucket, String fileUrl, String orgFileName);

    Boolean deleteBatch(Long[] ids);
}
